commit:     c815de971c17b8dddc6e5c4539be7458bf2a918f
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Thu Feb  4 03:22:30 2021 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Feb  4 03:22:30 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c815de97

dev-python/google-auth-1.25.0: Version bump

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/google-auth/Manifest                  |  1 +
 dev-python/google-auth/google-auth-1.25.0.ebuild | 59 ++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 4a95bd63166..36473cdb766 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1 +1,2 @@
 DIST google-auth-1.24.0.tar.gz 120351 BLAKE2B 
b0a78ad87622bc806cce72847d5dad3844afe080ffbcd822575dab6208952806360bed4e8756133d5b4fe2755f6cbeeb239b8f51634dd3d4cede9346372b689a
 SHA512 
3e678dd946eb6c3c865cd35df1480a96ed35cf14b973f2239c5213b223a6569b4a9642609ac51243af75c662a08bbf0518d8592db97af297cf67c52b83019e30
+DIST google-auth-1.25.0.tar.gz 121940 BLAKE2B 
9c7346b134153321fe7116cc77bdcd0d07b2d4a5264d4a982f23a44458ba17c03ef8d204d2c6bd697561c11563bbff1d093ec4563700910ea3bbd9a063006005
 SHA512 
1c83f18904b646264263c8ba20c13bcc61572b9de397331564b1c2e65083a27e6393dd9435b03789136d2fc2b43750f784d21a3dc670a58cc4bade9de267f195

diff --git a/dev-python/google-auth/google-auth-1.25.0.ebuild 
b/dev-python/google-auth/google-auth-1.25.0.ebuild
new file mode 100644
index 00000000000..61a646b39ce
--- /dev/null
+++ b/dev-python/google-auth/google-auth-1.25.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+       https://github.com/googleapis/google-auth-library-python/
+       https://pypi.org/project/google-auth/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-python/namespace-google[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+       >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/cachetools-2.0.0[${PYTHON_USEDEP}]
+       "
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/cryptography[${PYTHON_USEDEP}]
+               dev-python/flask[${PYTHON_USEDEP}]
+               dev-python/freezegun[${PYTHON_USEDEP}]
+               dev-python/grpcio[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/moto[${PYTHON_USEDEP}]
+               dev-python/oauth2client[${PYTHON_USEDEP}]
+               dev-python/pyopenssl[${PYTHON_USEDEP}]
+               dev-python/pytest-localserver[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/responses[${PYTHON_USEDEP}]
+               dev-python/urllib3[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # delete stray files included in the tarball
+       find "${S}"/tests -name '*.pyc' -delete || die
+       distutils-r1_src_prepare
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${ED}" -name '*.pth' -delete || die
+}

Reply via email to